Bug 192036 - ImageMagick Package won't build in mock
Summary: ImageMagick Package won't build in mock
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: ImageMagick   
(Show other bugs)
Version: rawhide
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: BuildReqBlocker
TreeView+ depends on / blocked
 
Reported: 2006-05-16 23:08 UTC by Andreas Thienemann
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-19 11:39:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Build Log (175.95 KB, text/plain)
2006-05-16 23:08 UTC, Andreas Thienemann
no flags Details

Description Andreas Thienemann 2006-05-16 23:08:45 UTC
On x86_64 the ImageMagick package won't build in mock:

if /bin/sh ./libtool --silent --tag=CC --mode=compile gcc -DHAVE_CONFIG_H -I.
-I. -I./magick -I./wand   -I/usr/include/freetype2 -I/usr/include/libxml2  -O2
-g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
--param=ssp-buffer-size=4 -m64 -mtune=generic -Wall -pthread -MT
coders/coders_png_la-png.lo -MD -MP -MF "coders/.deps/coders_png_la-png.Tpo" -c
-o coders/coders_png_la-png.lo `test -f 'coders/png.c' || echo './'`coders/png.c; \
then mv -f "coders/.deps/coders_png_la-png.Tpo"
"coders/.deps/coders_png_la-png.Plo"; else rm -f
"coders/.deps/coders_png_la-png.Tpo"; exit 1; fi
coders/png.c: In function 'ReadOnePNGImage':
coders/png.c:1709: warning: implicit declaration of function 'png_access_version'
coders/png.c:1718: error: 'png_ptr' undeclared (first use in this function)
coders/png.c:1718: error: (Each undeclared identifier is reported only once
coders/png.c:1718: error: for each function it appears in.)
make: *** [coders/coders_png_la-png.lo] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.95191 (%build)


RPM build errors:
    Bad exit status from /var/tmp/rpm-tmp.95191 (%build)

Attached is the full buildlog

Comment 1 Andreas Thienemann 2006-05-16 23:08:45 UTC
Created attachment 129282 [details]
Build Log

Comment 2 Matthias Clasen 2006-06-19 11:39:21 UTC
Should be fixed in rawhide


Note You need to log in before you can comment on or make changes to this bug.